View Issue Details

IDProjectCategoryLast Update
0017521Stars Beyond Reach[All Projects] Bug - GameplaySep 28, 2015 4:49 pm
ReporterPeonsAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.910 (Now With Fewer Bugs) 
Fixed in Version0.911 (Act I Polish) 
Summary0017521: Buildings are fully functional when they should not be.
DescriptionWasn't sure if this would be considered a balancing issue, or an actual bug, because the buildings do register that they aren't fully staffed and have an existing penalty.

As it currently stands, buildings will provide their full effect if the only problem they are encountering is a lack of staffing. My current build strategy for turn 1 is always the same, build as many small shops as humanly possible. The buildings register that they are not fully staffed in the fact that they won't level up as quickly, however they still provide the full amount of crowns(shops), power(solar/wind), etc.

While leveling buildings is important in the overall scheme you can easily overcome the long term penalties because you can power build everything you want and just spam birthing centers out mid act-1. This also allows you to rapidly build local authorities in territories and claim territory very early.

This strategy might change with the introduction of act 2 and increased needs, but you'd go into act 2 with a ton of crowns so I suspect you'd be able to overcome any issues fairly quickly.
TagsNo tags attached.

Activities

gnosis

Sep 26, 2015 7:19 pm

reporter   ~0043053

That was the exact way I'm playing in my second playthru. I almost grabbed 1/3 of the map this way 7-8 territories? Powerbuilding small shops is king, crowns become meaningless in a few turns.

Taikei no Yuurei

Sep 26, 2015 11:08 pm

reporter   ~0043059

I'm not so sure that's true. I've done something similar, but I noticed my crowns kept going up after I'd stopped building more small shops as my population went up, and not by even 3000 increments. Still, worth checking out at least. I'll check it out real quick in a bit.

Taikei no Yuurei

Sep 26, 2015 11:35 pm

reporter   ~0043063

Ah, no, the oddity with money was coming from some of the buildings leveling up. You're quite right, seems like as long as a building has a single person in it, it will operate at full capacity.

x4000Bughunter

Sep 27, 2015 6:10 pm

administrator   ~0043073

That's not really a bug per se, but rather a design decision that has turned out poorly. I'm still mulling the details of this one, but should have a change in tomorrow.

Taikei no Yuurei

Sep 27, 2015 9:03 pm

reporter   ~0043078

I can see why you might go with that, to help alleviate the pain of loosing population to diseases or pollution. If buildings only worked part effectively (particularly hazmats/hospitals) then fixing it would be near impossible, and it is already exceptionally difficult.

Maybe limit the effectiveness on crown production only?

ptarth

Sep 28, 2015 10:50 am

reporter   ~0043079

Perhaps a population service amount?
A small shop serves 500 people. If you build 2 small shops you can serve 1000 people. If you have 500 people per shop you get max crowns, otherwise you receive proportionally less. The amount would then increase as it levels, possibly being the same as the needs value. This would be very similar to how it was in prior versions except instead of limiting building placement it limits production.

gnosis

Sep 28, 2015 3:08 pm

reporter   ~0043094

I don't think you can escape this issue so easily there are far too many reasons that I can't go over in this small space...

Some thoughts:

What about work priorities?
What about powerbuilding spam?
What about military power and population?
What about ideas like worker efficiency or tech bonuses & levels?

x4000Bughunter

Sep 28, 2015 4:30 pm

administrator   ~0043109

Plenty of interesting ideas. For now, first stab:

* There has long been a "chicken and egg" problem with buildings having their stats go down when they are not staffed by enough people.
** You can get into death spirals on services and similar pretty fast.
*** And in addition to that, you can also have a nightmare actually doing capacity planning if certain needs are fluctuating based on staffing.
*** All in all it can wind up feeling very punitive and very numbers-crunchy in a not-good way on the player end.
** THAT said, the way we've had it in v3 so far where staffing only affects the EXP generation and nothing else is definitely not too good either.
*** That takes away a lot of the incentive for building staff in the first place, and removes most of the penalty for wounded citizens, etc. So a significant portion of the game then winds up having no teeth.
** Overall there is a concept of "building effectiveness," and already the case is that only some stats are affected by this. That building effectiveness is affected by things like events (for good or ill), adjacency boosts, and so on.
** Taking that idea and just applying something parallel-but-separate, the effectiveness based on staffing percent (and less for wounded staffers) now applies to the following properties:
*** Offensive attack power (but NOT militia or defender attack power), crown production, market item creation speed, local event frequency, science and linguistic research, international ability speed, resource gathering speed, EXP gains (as before), construction skill, repair points, vaccine research speed.
*** All of those things are things that are important, but none of them play into the self-governing ebb and flow of services and needs and so forth. Instead it's all stuff that is related to options that the player or AI can take, which is really much more as it should be. You want to optimize so that you can do things, but your city itself doesn't death spiral if you don't touch it while it's not optimized (at least not for this reason, heh).

* Trash produced by buildings is now reduced when the building has fewer staff or less efficiency than full.
** This is not the case for other kinds of needs, power consumption, etc, because those things are all in a web of balance rather than something that just counts up over time like trash is.

Thanks!

gnosis

Sep 28, 2015 4:36 pm

reporter   ~0043110

We'll see how it plays out with the next patch/act.

x4000Bughunter

Sep 28, 2015 4:49 pm

administrator   ~0043111

Yep, for sure.

Issue History

Date Modified Username Field Change
Sep 25, 2015 1:21 pm Peons New Issue
Sep 26, 2015 12:46 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 26, 2015 12:46 pm x4000Bughunter Status new => assigned
Sep 26, 2015 7:19 pm gnosis Note Added: 0043053
Sep 26, 2015 11:08 pm Taikei no Yuurei Note Added: 0043059
Sep 26, 2015 11:35 pm Taikei no Yuurei Note Added: 0043063
Sep 27, 2015 6:10 pm x4000Bughunter Note Added: 0043073
Sep 27, 2015 9:03 pm Taikei no Yuurei Note Added: 0043078
Sep 28, 2015 10:50 am ptarth Note Added: 0043079
Sep 28, 2015 3:08 pm gnosis Note Added: 0043094
Sep 28, 2015 4:30 pm x4000Bughunter Note Added: 0043109
Sep 28, 2015 4:30 pm x4000Bughunter Status assigned => resolved
Sep 28, 2015 4:30 pm x4000Bughunter Fixed in Version => 0.911 (Act I Polish)
Sep 28, 2015 4:30 pm x4000Bughunter Resolution open => fixed
Sep 28, 2015 4:36 pm gnosis Note Added: 0043110
Sep 28, 2015 4:49 pm x4000Bughunter Note Added: 0043111